source: filezilla/trunk/fuentes/tests/Makefile.in @ 130

Last change on this file since 130 was 130, checked in by jrpelegrina, 4 years ago

First release to xenial

File size: 50.2 KB
Line 
1# Makefile.in generated by automake 1.14.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Rules for the test code (use `make check` to execute)
18VPATH = @srcdir@
19am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20am__make_running_with_option = \
21  case $${target_option-} in \
22      ?) ;; \
23      *) echo "am__make_running_with_option: internal error: invalid" \
24              "target option '$${target_option-}' specified" >&2; \
25         exit 1;; \
26  esac; \
27  has_opt=no; \
28  sane_makeflags=$$MAKEFLAGS; \
29  if $(am__is_gnu_make); then \
30    sane_makeflags=$$MFLAGS; \
31  else \
32    case $$MAKEFLAGS in \
33      *\\[\ \   ]*) \
34        bs=\\; \
35        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
37    esac; \
38  fi; \
39  skip_next=no; \
40  strip_trailopt () \
41  { \
42    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43  }; \
44  for flg in $$sane_makeflags; do \
45    test $$skip_next = yes && { skip_next=no; continue; }; \
46    case $$flg in \
47      *=*|--*) continue;; \
48        -*I) strip_trailopt 'I'; skip_next=yes;; \
49      -*I?*) strip_trailopt 'I';; \
50        -*O) strip_trailopt 'O'; skip_next=yes;; \
51      -*O?*) strip_trailopt 'O';; \
52        -*l) strip_trailopt 'l'; skip_next=yes;; \
53      -*l?*) strip_trailopt 'l';; \
54      -[dEDm]) skip_next=yes;; \
55      -[JT]) skip_next=yes;; \
56    esac; \
57    case $$flg in \
58      *$$target_option*) has_opt=yes; break;; \
59    esac; \
60  done; \
61  test $$has_opt = yes
62am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64pkgdatadir = $(datadir)/@PACKAGE@
65pkgincludedir = $(includedir)/@PACKAGE@
66pkglibdir = $(libdir)/@PACKAGE@
67pkglibexecdir = $(libexecdir)/@PACKAGE@
68am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69install_sh_DATA = $(install_sh) -c -m 644
70install_sh_PROGRAM = $(install_sh) -c
71install_sh_SCRIPT = $(install_sh) -c
72INSTALL_HEADER = $(INSTALL_DATA)
73transform = $(program_transform_name)
74NORMAL_INSTALL = :
75PRE_INSTALL = :
76POST_INSTALL = :
77NORMAL_UNINSTALL = :
78PRE_UNINSTALL = :
79POST_UNINSTALL = :
80build_triplet = @build@
81host_triplet = @host@
82TESTS = test$(EXEEXT)
83check_PROGRAMS = $(am__EXEEXT_1)
84subdir = tests
85DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
86        $(top_srcdir)/config/depcomp $(top_srcdir)/config/test-driver
87ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
88am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_define.m4 \
89        $(top_srcdir)/m4/ax_check_link_flag.m4 \
90        $(top_srcdir)/m4/check_atomic.m4 \
91        $(top_srcdir)/m4/check_libc++.m4 \
92        $(top_srcdir)/m4/check_steady_clock.m4 \
93        $(top_srcdir)/m4/check_thread_local.m4 \
94        $(top_srcdir)/m4/check_time.m4 $(top_srcdir)/m4/cppunit.m4 \
95        $(top_srcdir)/m4/cxx_compile_stdcxx_14.m4 \
96        $(top_srcdir)/m4/d-type.m4 \
97        $(top_srcdir)/m4/fz_check_pugixml.m4 \
98        $(top_srcdir)/m4/fz_checkversion.m4 \
99        $(top_srcdir)/m4/icopyhookw.m4 $(top_srcdir)/m4/libtool.m4 \
100        $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
101        $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
102        $(top_srcdir)/m4/map_emplace.m4 $(top_srcdir)/m4/pkg.m4 \
103        $(top_srcdir)/m4/wxwin.m4 $(top_srcdir)/configure.ac
104am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
105        $(ACLOCAL_M4)
106mkinstalldirs = $(install_sh) -d
107CONFIG_HEADER = $(top_builddir)/src/include/config.h
108CONFIG_CLEAN_FILES =
109CONFIG_CLEAN_VPATH_FILES =
110am__EXEEXT_1 = test$(EXEEXT)
111am_test_OBJECTS = test-test.$(OBJEXT) test-cmpnatural.$(OBJEXT) \
112        test-dirparsertest.$(OBJEXT) test-dispatch.$(OBJEXT) \
113        test-eventloop.$(OBJEXT) test-ipaddress.$(OBJEXT) \
114        test-localpathtest.$(OBJEXT) test-serverpathtest.$(OBJEXT) \
115        test-time.$(OBJEXT)
116test_OBJECTS = $(am_test_OBJECTS)
117test_LDADD = $(LDADD)
118AM_V_lt = $(am__v_lt_@AM_V@)
119am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
120am__v_lt_0 = --silent
121am__v_lt_1 =
122test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
123        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(test_CXXFLAGS) \
124        $(CXXFLAGS) $(test_LDFLAGS) $(LDFLAGS) -o $@
125AM_V_P = $(am__v_P_@AM_V@)
126am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
127am__v_P_0 = false
128am__v_P_1 = :
129AM_V_GEN = $(am__v_GEN_@AM_V@)
130am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
131am__v_GEN_0 = @echo "  GEN     " $@;
132am__v_GEN_1 =
133AM_V_at = $(am__v_at_@AM_V@)
134am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
135am__v_at_0 = @
136am__v_at_1 =
137DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src/include
138depcomp = $(SHELL) $(top_srcdir)/config/depcomp
139am__depfiles_maybe = depfiles
140am__mv = mv -f
141CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
142        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
143LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
144        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
145        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
146        $(AM_CXXFLAGS) $(CXXFLAGS)
147AM_V_CXX = $(am__v_CXX_@AM_V@)
148am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
149am__v_CXX_0 = @echo "  CXX     " $@;
150am__v_CXX_1 =
151CXXLD = $(CXX)
152CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
153        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
154        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
155AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
156am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
157am__v_CXXLD_0 = @echo "  CXXLD   " $@;
158am__v_CXXLD_1 =
159SOURCES = $(test_SOURCES)
160DIST_SOURCES = $(test_SOURCES)
161am__can_run_installinfo = \
162  case $$AM_UPDATE_INFO_DIR in \
163    n|no|NO) false;; \
164    *) (install-info --version) >/dev/null 2>&1;; \
165  esac
166am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
167# Read a list of newline-separated strings from the standard input,
168# and print each of them once, without duplicates.  Input order is
169# *not* preserved.
170am__uniquify_input = $(AWK) '\
171  BEGIN { nonempty = 0; } \
172  { items[$$0] = 1; nonempty = 1; } \
173  END { if (nonempty) { for (i in items) print i; }; } \
174'
175# Make sure the list of sources is unique.  This is necessary because,
176# e.g., the same source file might be shared among _SOURCES variables
177# for different programs/libraries.
178am__define_uniq_tagged_files = \
179  list='$(am__tagged_files)'; \
180  unique=`for i in $$list; do \
181    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
182  done | $(am__uniquify_input)`
183ETAGS = etags
184CTAGS = ctags
185am__tty_colors_dummy = \
186  mgn= red= grn= lgn= blu= brg= std=; \
187  am__color_tests=no
188am__tty_colors = { \
189  $(am__tty_colors_dummy); \
190  if test "X$(AM_COLOR_TESTS)" = Xno; then \
191    am__color_tests=no; \
192  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
193    am__color_tests=yes; \
194  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
195    am__color_tests=yes; \
196  fi; \
197  if test $$am__color_tests = yes; then \
198    red='[0;31m'; \
199    grn='[0;32m'; \
200    lgn='[1;32m'; \
201    blu='[1;34m'; \
202    mgn='[0;35m'; \
203    brg='[1m'; \
204    std='[m'; \
205  fi; \
206}
207am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
208am__vpath_adj = case $$p in \
209    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
210    *) f=$$p;; \
211  esac;
212am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
213am__install_max = 40
214am__nobase_strip_setup = \
215  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
216am__nobase_strip = \
217  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
218am__nobase_list = $(am__nobase_strip_setup); \
219  for p in $$list; do echo "$$p $$p"; done | \
220  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
221  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
222    if (++n[$$2] == $(am__install_max)) \
223      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
224    END { for (dir in files) print dir, files[dir] }'
225am__base_list = \
226  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
227  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
228am__uninstall_files_from_dir = { \
229  test -z "$$files" \
230    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
231    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
232         $(am__cd) "$$dir" && rm -f $$files; }; \
233  }
234am__recheck_rx = ^[     ]*:recheck:[    ]*
235am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
236am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
237# A command that, given a newline-separated list of test names on the
238# standard input, print the name of the tests that are to be re-run
239# upon "make recheck".
240am__list_recheck_tests = $(AWK) '{ \
241  recheck = 1; \
242  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
243    { \
244      if (rc < 0) \
245        { \
246          if ((getline line2 < ($$0 ".log")) < 0) \
247            recheck = 0; \
248          break; \
249        } \
250      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
251        { \
252          recheck = 0; \
253          break; \
254        } \
255      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
256        { \
257          break; \
258        } \
259    }; \
260  if (recheck) \
261    print $$0; \
262  close ($$0 ".trs"); \
263  close ($$0 ".log"); \
264}'
265# A command that, given a newline-separated list of test names on the
266# standard input, create the global log from their .trs and .log files.
267am__create_global_log = $(AWK) ' \
268function fatal(msg) \
269{ \
270  print "fatal: making $@: " msg | "cat >&2"; \
271  exit 1; \
272} \
273function rst_section(header) \
274{ \
275  print header; \
276  len = length(header); \
277  for (i = 1; i <= len; i = i + 1) \
278    printf "="; \
279  printf "\n\n"; \
280} \
281{ \
282  copy_in_global_log = 1; \
283  global_test_result = "RUN"; \
284  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
285    { \
286      if (rc < 0) \
287         fatal("failed to read from " $$0 ".trs"); \
288      if (line ~ /$(am__global_test_result_rx)/) \
289        { \
290          sub("$(am__global_test_result_rx)", "", line); \
291          sub("[        ]*$$", "", line); \
292          global_test_result = line; \
293        } \
294      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
295        copy_in_global_log = 0; \
296    }; \
297  if (copy_in_global_log) \
298    { \
299      rst_section(global_test_result ": " $$0); \
300      while ((rc = (getline line < ($$0 ".log"))) != 0) \
301      { \
302        if (rc < 0) \
303          fatal("failed to read from " $$0 ".log"); \
304        print line; \
305      }; \
306      printf "\n"; \
307    }; \
308  close ($$0 ".trs"); \
309  close ($$0 ".log"); \
310}'
311# Restructured Text title.
312am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
313# Solaris 10 'make', and several other traditional 'make' implementations,
314# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
315# by disabling -e (using the XSI extension "set +e") if it's set.
316am__sh_e_setup = case $$- in *e*) set +e;; esac
317# Default flags passed to test drivers.
318am__common_driver_flags = \
319  --color-tests "$$am__color_tests" \
320  --enable-hard-errors "$$am__enable_hard_errors" \
321  --expect-failure "$$am__expect_failure"
322# To be inserted before the command running the test.  Creates the
323# directory for the log if needed.  Stores in $dir the directory
324# containing $f, in $tst the test, in $log the log.  Executes the
325# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
326# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
327# will run the test scripts (or their associated LOG_COMPILER, if
328# thy have one).
329am__check_pre = \
330$(am__sh_e_setup);                                      \
331$(am__vpath_adj_setup) $(am__vpath_adj)                 \
332$(am__tty_colors);                                      \
333srcdir=$(srcdir); export srcdir;                        \
334case "$@" in                                            \
335  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
336    *) am__odir=.;;                                     \
337esac;                                                   \
338test "x$$am__odir" = x"." || test -d "$$am__odir"       \
339  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
340if test -f "./$$f"; then dir=./;                        \
341elif test -f "$$f"; then dir=;                          \
342else dir="$(srcdir)/"; fi;                              \
343tst=$$dir$$f; log='$@';                                 \
344if test -n '$(DISABLE_HARD_ERRORS)'; then               \
345  am__enable_hard_errors=no;                            \
346else                                                    \
347  am__enable_hard_errors=yes;                           \
348fi;                                                     \
349case " $(XFAIL_TESTS) " in                              \
350  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
351    am__expect_failure=yes;;                            \
352  *)                                                    \
353    am__expect_failure=no;;                             \
354esac;                                                   \
355$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
356# A shell command to get the names of the tests scripts with any registered
357# extension removed (i.e., equivalently, the names of the test logs, with
358# the '.log' extension removed).  The result is saved in the shell variable
359# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
360# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
361# since that might cause problem with VPATH rewrites for suffix-less tests.
362# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
363am__set_TESTS_bases = \
364  bases='$(TEST_LOGS)'; \
365  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
366  bases=`echo $$bases`
367RECHECK_LOGS = $(TEST_LOGS)
368AM_RECURSIVE_TARGETS = check recheck
369TEST_SUITE_LOG = test-suite.log
370TEST_EXTENSIONS = @EXEEXT@ .test
371LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
372LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
373am__set_b = \
374  case '$@' in \
375    */*) \
376      case '$*' in \
377        */*) b='$*';; \
378          *) b=`echo '$@' | sed 's/\.log$$//'`; \
379       esac;; \
380    *) \
381      b='$*';; \
382  esac
383am__test_logs1 = $(TESTS:=.log)
384am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
385TEST_LOGS = $(am__test_logs2:.test.log=.log)
386TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/config/test-driver
387TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
388        $(TEST_LOG_FLAGS)
389DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
390ACLOCAL = @ACLOCAL@
391AMTAR = @AMTAR@
392AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
393AR = @AR@
394AUTOCONF = @AUTOCONF@
395AUTOHEADER = @AUTOHEADER@
396AUTOMAKE = @AUTOMAKE@
397AWK = @AWK@
398CC = @CC@
399CCDEPMODE = @CCDEPMODE@
400CFLAGS = @CFLAGS@
401CPP = @CPP@
402CPPFLAGS = @CPPFLAGS@
403CPPUNIT_CFLAGS = @CPPUNIT_CFLAGS@
404CPPUNIT_CONFIG = @CPPUNIT_CONFIG@
405CPPUNIT_LIBS = @CPPUNIT_LIBS@
406CXX = @CXX@
407CXXCPP = @CXXCPP@
408CXXDEPMODE = @CXXDEPMODE@
409CXXFLAGS = @CXXFLAGS@
410CYGPATH_W = @CYGPATH_W@
411DEFS = @DEFS@
412DEPDIR = @DEPDIR@
413DLLTOOL = @DLLTOOL@
414DSYMUTIL = @DSYMUTIL@
415DUMPBIN = @DUMPBIN@
416ECHO_C = @ECHO_C@
417ECHO_N = @ECHO_N@
418ECHO_T = @ECHO_T@
419EGREP = @EGREP@
420EXEEXT = @EXEEXT@
421FGREP = @FGREP@
422FILEZILLA_LINGUAS = @FILEZILLA_LINGUAS@
423FILEZILLA_LINGUAS_MO = @FILEZILLA_LINGUAS_MO@
424FILEZILLA_LINGUAS_PO = @FILEZILLA_LINGUAS_PO@
425FILEZILLA_LINGUAS_PO_NEW = @FILEZILLA_LINGUAS_PO_NEW@
426GREP = @GREP@
427HAVE_CXX14 = @HAVE_CXX14@
428IDN_LIB = @IDN_LIB@
429INSTALL = @INSTALL@
430INSTALL_DATA = @INSTALL_DATA@
431INSTALL_PROGRAM = @INSTALL_PROGRAM@
432INSTALL_SCRIPT = @INSTALL_SCRIPT@
433INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
434LD = @LD@
435LDFLAGS = @LDFLAGS@
436LIBDBUS_CFLAGS = @LIBDBUS_CFLAGS@
437LIBDBUS_LIBS = @LIBDBUS_LIBS@
438LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
439LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
440LIBGTK_CFLAGS = @LIBGTK_CFLAGS@
441LIBGTK_LIBS = @LIBGTK_LIBS@
442LIBOBJS = @LIBOBJS@
443LIBS = @LIBS@
444LIBSQLITE3_CFLAGS = @LIBSQLITE3_CFLAGS@
445LIBSQLITE3_LIBS = @LIBSQLITE3_LIBS@
446LIBTOOL = @LIBTOOL@
447LIPO = @LIPO@
448LN_S = @LN_S@
449LTLIBOBJS = @LTLIBOBJS@
450MAKEINFO = @MAKEINFO@
451MANIFEST_TOOL = @MANIFEST_TOOL@
452MKDIR_P = @MKDIR_P@
453NM = @NM@
454NMEDIT = @NMEDIT@
455NSIS_64BIT = @NSIS_64BIT@
456OBJDUMP = @OBJDUMP@
457OBJEXT = @OBJEXT@
458OTOOL = @OTOOL@
459OTOOL64 = @OTOOL64@
460PACKAGE = @PACKAGE@
461PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
462PACKAGE_NAME = @PACKAGE_NAME@
463PACKAGE_STRING = @PACKAGE_STRING@
464PACKAGE_TARNAME = @PACKAGE_TARNAME@
465PACKAGE_URL = @PACKAGE_URL@
466PACKAGE_VERSION = @PACKAGE_VERSION@
467PACKAGE_VERSION_MAJOR = @PACKAGE_VERSION_MAJOR@
468PACKAGE_VERSION_MICRO = @PACKAGE_VERSION_MICRO@
469PACKAGE_VERSION_MINOR = @PACKAGE_VERSION_MINOR@
470PACKAGE_VERSION_NANO = @PACKAGE_VERSION_NANO@
471PATH_SEPARATOR = @PATH_SEPARATOR@
472PKG_CONFIG = @PKG_CONFIG@
473PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
474PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
475PUGIXML_LIBS = @PUGIXML_LIBS@
476RANLIB = @RANLIB@
477SED = @SED@
478SET_MAKE = @SET_MAKE@
479SHELL = @SHELL@
480STRIP = @STRIP@
481VERSION = @VERSION@
482WINDRES = @WINDRES@
483WINDRESFLAGS = @WINDRESFLAGS@
484WXRC = @WXRC@
485WX_CFLAGS = @WX_CFLAGS@
486WX_CFLAGS_ONLY = @WX_CFLAGS_ONLY@
487WX_CONFIG_PATH = @WX_CONFIG_PATH@
488WX_CONFIG_WITH_ARGS = @WX_CONFIG_WITH_ARGS@
489WX_CPPFLAGS = @WX_CPPFLAGS@
490WX_CXXFLAGS = @WX_CXXFLAGS@
491WX_CXXFLAGS_ONLY = @WX_CXXFLAGS_ONLY@
492WX_LIBS = @WX_LIBS@
493WX_LIBS_STATIC = @WX_LIBS_STATIC@
494WX_RESCOMP = @WX_RESCOMP@
495WX_VERSION = @WX_VERSION@
496WX_VERSION_MAJOR = @WX_VERSION_MAJOR@
497WX_VERSION_MICRO = @WX_VERSION_MICRO@
498WX_VERSION_MINOR = @WX_VERSION_MINOR@
499abs_builddir = @abs_builddir@
500abs_srcdir = @abs_srcdir@
501abs_top_builddir = @abs_top_builddir@
502abs_top_srcdir = @abs_top_srcdir@
503ac_ct_AR = @ac_ct_AR@
504ac_ct_CC = @ac_ct_CC@
505ac_ct_CXX = @ac_ct_CXX@
506ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
507am__include = @am__include@
508am__leading_dot = @am__leading_dot@
509am__quote = @am__quote@
510am__tar = @am__tar@
511am__untar = @am__untar@
512bindir = @bindir@
513build = @build@
514build_alias = @build_alias@
515build_cpu = @build_cpu@
516build_os = @build_os@
517build_vendor = @build_vendor@
518builddir = @builddir@
519datadir = @datadir@
520datarootdir = @datarootdir@
521docdir = @docdir@
522dvidir = @dvidir@
523exec_prefix = @exec_prefix@
524host = @host@
525host_alias = @host_alias@
526host_cpu = @host_cpu@
527host_os = @host_os@
528host_vendor = @host_vendor@
529htmldir = @htmldir@
530includedir = @includedir@
531infodir = @infodir@
532install_sh = @install_sh@
533libdir = @libdir@
534libexecdir = @libexecdir@
535localedir = @localedir@
536localstatedir = @localstatedir@
537mandir = @mandir@
538mkdir_p = @mkdir_p@
539msgfmt = @msgfmt@
540msgmerge = @msgmerge@
541oldincludedir = @oldincludedir@
542pdfdir = @pdfdir@
543prefix = @prefix@
544program_transform_name = @program_transform_name@
545psdir = @psdir@
546sbindir = @sbindir@
547sharedstatedir = @sharedstatedir@
548srcdir = @srcdir@
549subdirs = @subdirs@
550sysconfdir = @sysconfdir@
551target_alias = @target_alias@
552top_build_prefix = @top_build_prefix@
553top_builddir = @top_builddir@
554top_srcdir = @top_srcdir@
555xdgopen = @xdgopen@
556xgettext = @xgettext@
557test_SOURCES = test.cpp \
558                cmpnatural.cpp \
559                dirparsertest.cpp \
560                dispatch.cpp \
561                eventloop.cpp \
562                ipaddress.cpp \
563                localpathtest.cpp \
564                serverpathtest.cpp \
565                time.cpp
566
567test_CPPFLAGS = -I$(top_srcdir)/src/include -I$(top_srcdir)/src/engine \
568        $(WX_CPPFLAGS)
569test_CXXFLAGS = $(WX_CXXFLAGS_ONLY) $(CPPUNIT_CFLAGS)
570test_LDFLAGS = $(CPPUNIT_LIBS) ../src/engine/libengine.a \
571        $(LIBGNUTLS_LIBS) $(WX_LIBS) $(IDN_LIB) $(LIBSQLITE3_LIBS)
572test_DEPENDENCIES = ../src/engine/libengine.a
573all: all-am
574
575.SUFFIXES:
576.SUFFIXES: .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
577$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
578        @for dep in $?; do \
579          case '$(am__configure_deps)' in \
580            *$$dep*) \
581              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
582                && { if test -f $@; then exit 0; else break; fi; }; \
583              exit 1;; \
584          esac; \
585        done; \
586        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
587        $(am__cd) $(top_srcdir) && \
588          $(AUTOMAKE) --gnu tests/Makefile
589.PRECIOUS: Makefile
590Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
591        @case '$?' in \
592          *config.status*) \
593            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
594          *) \
595            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
596            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
597        esac;
598
599$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
600        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601
602$(top_srcdir)/configure:  $(am__configure_deps)
603        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
604$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
605        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
606$(am__aclocal_m4_deps):
607
608clean-checkPROGRAMS:
609        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
610        echo " rm -f" $$list; \
611        rm -f $$list || exit $$?; \
612        test -n "$(EXEEXT)" || exit 0; \
613        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
614        echo " rm -f" $$list; \
615        rm -f $$list
616
617test$(EXEEXT): $(test_OBJECTS) $(test_DEPENDENCIES) $(EXTRA_test_DEPENDENCIES)
618        @rm -f test$(EXEEXT)
619        $(AM_V_CXXLD)$(test_LINK) $(test_OBJECTS) $(test_LDADD) $(LIBS)
620
621mostlyclean-compile:
622        -rm -f *.$(OBJEXT)
623
624distclean-compile:
625        -rm -f *.tab.c
626
627@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-cmpnatural.Po@am__quote@
628@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-dirparsertest.Po@am__quote@
629@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-dispatch.Po@am__quote@
630@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-eventloop.Po@am__quote@
631@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-ipaddress.Po@am__quote@
632@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-localpathtest.Po@am__quote@
633@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-serverpathtest.Po@am__quote@
634@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-test.Po@am__quote@
635@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test-time.Po@am__quote@
636
637.cpp.o:
638@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
639@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
640@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
641@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
642@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
643
644.cpp.obj:
645@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
646@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
647@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
648@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
649@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
650
651.cpp.lo:
652@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
653@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
654@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
655@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
656@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
657
658test-test.o: test.cpp
659@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-test.o -MD -MP -MF $(DEPDIR)/test-test.Tpo -c -o test-test.o `test -f 'test.cpp' || echo '$(srcdir)/'`test.cpp
660@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-test.Tpo $(DEPDIR)/test-test.Po
661@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test.cpp' object='test-test.o' libtool=no @AMDEPBACKSLASH@
662@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
663@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-test.o `test -f 'test.cpp' || echo '$(srcdir)/'`test.cpp
664
665test-test.obj: test.cpp
666@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-test.obj -MD -MP -MF $(DEPDIR)/test-test.Tpo -c -o test-test.obj `if test -f 'test.cpp'; then $(CYGPATH_W) 'test.cpp'; else $(CYGPATH_W) '$(srcdir)/test.cpp'; fi`
667@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-test.Tpo $(DEPDIR)/test-test.Po
668@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='test.cpp' object='test-test.obj' libtool=no @AMDEPBACKSLASH@
669@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
670@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-test.obj `if test -f 'test.cpp'; then $(CYGPATH_W) 'test.cpp'; else $(CYGPATH_W) '$(srcdir)/test.cpp'; fi`
671
672test-cmpnatural.o: cmpnatural.cpp
673@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-cmpnatural.o -MD -MP -MF $(DEPDIR)/test-cmpnatural.Tpo -c -o test-cmpnatural.o `test -f 'cmpnatural.cpp' || echo '$(srcdir)/'`cmpnatural.cpp
674@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-cmpnatural.Tpo $(DEPDIR)/test-cmpnatural.Po
675@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cmpnatural.cpp' object='test-cmpnatural.o' libtool=no @AMDEPBACKSLASH@
676@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
677@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-cmpnatural.o `test -f 'cmpnatural.cpp' || echo '$(srcdir)/'`cmpnatural.cpp
678
679test-cmpnatural.obj: cmpnatural.cpp
680@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-cmpnatural.obj -MD -MP -MF $(DEPDIR)/test-cmpnatural.Tpo -c -o test-cmpnatural.obj `if test -f 'cmpnatural.cpp'; then $(CYGPATH_W) 'cmpnatural.cpp'; else $(CYGPATH_W) '$(srcdir)/cmpnatural.cpp'; fi`
681@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-cmpnatural.Tpo $(DEPDIR)/test-cmpnatural.Po
682@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='cmpnatural.cpp' object='test-cmpnatural.obj' libtool=no @AMDEPBACKSLASH@
683@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
684@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-cmpnatural.obj `if test -f 'cmpnatural.cpp'; then $(CYGPATH_W) 'cmpnatural.cpp'; else $(CYGPATH_W) '$(srcdir)/cmpnatural.cpp'; fi`
685
686test-dirparsertest.o: dirparsertest.cpp
687@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-dirparsertest.o -MD -MP -MF $(DEPDIR)/test-dirparsertest.Tpo -c -o test-dirparsertest.o `test -f 'dirparsertest.cpp' || echo '$(srcdir)/'`dirparsertest.cpp
688@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-dirparsertest.Tpo $(DEPDIR)/test-dirparsertest.Po
689@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='dirparsertest.cpp' object='test-dirparsertest.o' libtool=no @AMDEPBACKSLASH@
690@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
691@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-dirparsertest.o `test -f 'dirparsertest.cpp' || echo '$(srcdir)/'`dirparsertest.cpp
692
693test-dirparsertest.obj: dirparsertest.cpp
694@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-dirparsertest.obj -MD -MP -MF $(DEPDIR)/test-dirparsertest.Tpo -c -o test-dirparsertest.obj `if test -f 'dirparsertest.cpp'; then $(CYGPATH_W) 'dirparsertest.cpp'; else $(CYGPATH_W) '$(srcdir)/dirparsertest.cpp'; fi`
695@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-dirparsertest.Tpo $(DEPDIR)/test-dirparsertest.Po
696@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='dirparsertest.cpp' object='test-dirparsertest.obj' libtool=no @AMDEPBACKSLASH@
697@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
698@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-dirparsertest.obj `if test -f 'dirparsertest.cpp'; then $(CYGPATH_W) 'dirparsertest.cpp'; else $(CYGPATH_W) '$(srcdir)/dirparsertest.cpp'; fi`
699
700test-dispatch.o: dispatch.cpp
701@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-dispatch.o -MD -MP -MF $(DEPDIR)/test-dispatch.Tpo -c -o test-dispatch.o `test -f 'dispatch.cpp' || echo '$(srcdir)/'`dispatch.cpp
702@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-dispatch.Tpo $(DEPDIR)/test-dispatch.Po
703@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='dispatch.cpp' object='test-dispatch.o' libtool=no @AMDEPBACKSLASH@
704@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
705@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-dispatch.o `test -f 'dispatch.cpp' || echo '$(srcdir)/'`dispatch.cpp
706
707test-dispatch.obj: dispatch.cpp
708@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-dispatch.obj -MD -MP -MF $(DEPDIR)/test-dispatch.Tpo -c -o test-dispatch.obj `if test -f 'dispatch.cpp'; then $(CYGPATH_W) 'dispatch.cpp'; else $(CYGPATH_W) '$(srcdir)/dispatch.cpp'; fi`
709@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-dispatch.Tpo $(DEPDIR)/test-dispatch.Po
710@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='dispatch.cpp' object='test-dispatch.obj' libtool=no @AMDEPBACKSLASH@
711@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
712@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-dispatch.obj `if test -f 'dispatch.cpp'; then $(CYGPATH_W) 'dispatch.cpp'; else $(CYGPATH_W) '$(srcdir)/dispatch.cpp'; fi`
713
714test-eventloop.o: eventloop.cpp
715@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-eventloop.o -MD -MP -MF $(DEPDIR)/test-eventloop.Tpo -c -o test-eventloop.o `test -f 'eventloop.cpp' || echo '$(srcdir)/'`eventloop.cpp
716@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-eventloop.Tpo $(DEPDIR)/test-eventloop.Po
717@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='eventloop.cpp' object='test-eventloop.o' libtool=no @AMDEPBACKSLASH@
718@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
719@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-eventloop.o `test -f 'eventloop.cpp' || echo '$(srcdir)/'`eventloop.cpp
720
721test-eventloop.obj: eventloop.cpp
722@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-eventloop.obj -MD -MP -MF $(DEPDIR)/test-eventloop.Tpo -c -o test-eventloop.obj `if test -f 'eventloop.cpp'; then $(CYGPATH_W) 'eventloop.cpp'; else $(CYGPATH_W) '$(srcdir)/eventloop.cpp'; fi`
723@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-eventloop.Tpo $(DEPDIR)/test-eventloop.Po
724@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='eventloop.cpp' object='test-eventloop.obj' libtool=no @AMDEPBACKSLASH@
725@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
726@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-eventloop.obj `if test -f 'eventloop.cpp'; then $(CYGPATH_W) 'eventloop.cpp'; else $(CYGPATH_W) '$(srcdir)/eventloop.cpp'; fi`
727
728test-ipaddress.o: ipaddress.cpp
729@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-ipaddress.o -MD -MP -MF $(DEPDIR)/test-ipaddress.Tpo -c -o test-ipaddress.o `test -f 'ipaddress.cpp' || echo '$(srcdir)/'`ipaddress.cpp
730@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-ipaddress.Tpo $(DEPDIR)/test-ipaddress.Po
731@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='ipaddress.cpp' object='test-ipaddress.o' libtool=no @AMDEPBACKSLASH@
732@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
733@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-ipaddress.o `test -f 'ipaddress.cpp' || echo '$(srcdir)/'`ipaddress.cpp
734
735test-ipaddress.obj: ipaddress.cpp
736@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-ipaddress.obj -MD -MP -MF $(DEPDIR)/test-ipaddress.Tpo -c -o test-ipaddress.obj `if test -f 'ipaddress.cpp'; then $(CYGPATH_W) 'ipaddress.cpp'; else $(CYGPATH_W) '$(srcdir)/ipaddress.cpp'; fi`
737@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-ipaddress.Tpo $(DEPDIR)/test-ipaddress.Po
738@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='ipaddress.cpp' object='test-ipaddress.obj' libtool=no @AMDEPBACKSLASH@
739@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
740@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-ipaddress.obj `if test -f 'ipaddress.cpp'; then $(CYGPATH_W) 'ipaddress.cpp'; else $(CYGPATH_W) '$(srcdir)/ipaddress.cpp'; fi`
741
742test-localpathtest.o: localpathtest.cpp
743@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-localpathtest.o -MD -MP -MF $(DEPDIR)/test-localpathtest.Tpo -c -o test-localpathtest.o `test -f 'localpathtest.cpp' || echo '$(srcdir)/'`localpathtest.cpp
744@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-localpathtest.Tpo $(DEPDIR)/test-localpathtest.Po
745@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='localpathtest.cpp' object='test-localpathtest.o' libtool=no @AMDEPBACKSLASH@
746@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
747@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-localpathtest.o `test -f 'localpathtest.cpp' || echo '$(srcdir)/'`localpathtest.cpp
748
749test-localpathtest.obj: localpathtest.cpp
750@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-localpathtest.obj -MD -MP -MF $(DEPDIR)/test-localpathtest.Tpo -c -o test-localpathtest.obj `if test -f 'localpathtest.cpp'; then $(CYGPATH_W) 'localpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/localpathtest.cpp'; fi`
751@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-localpathtest.Tpo $(DEPDIR)/test-localpathtest.Po
752@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='localpathtest.cpp' object='test-localpathtest.obj' libtool=no @AMDEPBACKSLASH@
753@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
754@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-localpathtest.obj `if test -f 'localpathtest.cpp'; then $(CYGPATH_W) 'localpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/localpathtest.cpp'; fi`
755
756test-serverpathtest.o: serverpathtest.cpp
757@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-serverpathtest.o -MD -MP -MF $(DEPDIR)/test-serverpathtest.Tpo -c -o test-serverpathtest.o `test -f 'serverpathtest.cpp' || echo '$(srcdir)/'`serverpathtest.cpp
758@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-serverpathtest.Tpo $(DEPDIR)/test-serverpathtest.Po
759@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='serverpathtest.cpp' object='test-serverpathtest.o' libtool=no @AMDEPBACKSLASH@
760@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
761@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-serverpathtest.o `test -f 'serverpathtest.cpp' || echo '$(srcdir)/'`serverpathtest.cpp
762
763test-serverpathtest.obj: serverpathtest.cpp
764@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-serverpathtest.obj -MD -MP -MF $(DEPDIR)/test-serverpathtest.Tpo -c -o test-serverpathtest.obj `if test -f 'serverpathtest.cpp'; then $(CYGPATH_W) 'serverpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/serverpathtest.cpp'; fi`
765@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-serverpathtest.Tpo $(DEPDIR)/test-serverpathtest.Po
766@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='serverpathtest.cpp' object='test-serverpathtest.obj' libtool=no @AMDEPBACKSLASH@
767@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
768@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-serverpathtest.obj `if test -f 'serverpathtest.cpp'; then $(CYGPATH_W) 'serverpathtest.cpp'; else $(CYGPATH_W) '$(srcdir)/serverpathtest.cpp'; fi`
769
770test-time.o: time.cpp
771@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-time.o -MD -MP -MF $(DEPDIR)/test-time.Tpo -c -o test-time.o `test -f 'time.cpp' || echo '$(srcdir)/'`time.cpp
772@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-time.Tpo $(DEPDIR)/test-time.Po
773@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='time.cpp' object='test-time.o' libtool=no @AMDEPBACKSLASH@
774@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
775@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-time.o `test -f 'time.cpp' || echo '$(srcdir)/'`time.cpp
776
777test-time.obj: time.cpp
778@am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -MT test-time.obj -MD -MP -MF $(DEPDIR)/test-time.Tpo -c -o test-time.obj `if test -f 'time.cpp'; then $(CYGPATH_W) 'time.cpp'; else $(CYGPATH_W) '$(srcdir)/time.cpp'; fi`
779@am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/test-time.Tpo $(DEPDIR)/test-time.Po
780@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='time.cpp' object='test-time.obj' libtool=no @AMDEPBACKSLASH@
781@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
782@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test_CPPFLAGS) $(CPPFLAGS) $(test_CXXFLAGS) $(CXXFLAGS) -c -o test-time.obj `if test -f 'time.cpp'; then $(CYGPATH_W) 'time.cpp'; else $(CYGPATH_W) '$(srcdir)/time.cpp'; fi`
783
784mostlyclean-libtool:
785        -rm -f *.lo
786
787clean-libtool:
788        -rm -rf .libs _libs
789
790ID: $(am__tagged_files)
791        $(am__define_uniq_tagged_files); mkid -fID $$unique
792tags: tags-am
793TAGS: tags
794
795tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
796        set x; \
797        here=`pwd`; \
798        $(am__define_uniq_tagged_files); \
799        shift; \
800        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
801          test -n "$$unique" || unique=$$empty_fix; \
802          if test $$# -gt 0; then \
803            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
804              "$$@" $$unique; \
805          else \
806            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
807              $$unique; \
808          fi; \
809        fi
810ctags: ctags-am
811
812CTAGS: ctags
813ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
814        $(am__define_uniq_tagged_files); \
815        test -z "$(CTAGS_ARGS)$$unique" \
816          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
817             $$unique
818
819GTAGS:
820        here=`$(am__cd) $(top_builddir) && pwd` \
821          && $(am__cd) $(top_srcdir) \
822          && gtags -i $(GTAGS_ARGS) "$$here"
823cscopelist: cscopelist-am
824
825cscopelist-am: $(am__tagged_files)
826        list='$(am__tagged_files)'; \
827        case "$(srcdir)" in \
828          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
829          *) sdir=$(subdir)/$(srcdir) ;; \
830        esac; \
831        for i in $$list; do \
832          if test -f "$$i"; then \
833            echo "$(subdir)/$$i"; \
834          else \
835            echo "$$sdir/$$i"; \
836          fi; \
837        done >> $(top_builddir)/cscope.files
838
839distclean-tags:
840        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
841
842# Recover from deleted '.trs' file; this should ensure that
843# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
844# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
845# to avoid problems with "make -n".
846.log.trs:
847        rm -f $< $@
848        $(MAKE) $(AM_MAKEFLAGS) $<
849
850# Leading 'am--fnord' is there to ensure the list of targets does not
851# expand to empty, as could happen e.g. with make check TESTS=''.
852am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
853am--force-recheck:
854        @:
855
856$(TEST_SUITE_LOG): $(TEST_LOGS)
857        @$(am__set_TESTS_bases); \
858        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
859        redo_bases=`for i in $$bases; do \
860                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
861                    done`; \
862        if test -n "$$redo_bases"; then \
863          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
864          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
865          if $(am__make_dryrun); then :; else \
866            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
867          fi; \
868        fi; \
869        if test -n "$$am__remaking_logs"; then \
870          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
871               "recursion detected" >&2; \
872        else \
873          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
874        fi; \
875        if $(am__make_dryrun); then :; else \
876          st=0;  \
877          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
878          for i in $$redo_bases; do \
879            test -f $$i.trs && test -r $$i.trs \
880              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
881            test -f $$i.log && test -r $$i.log \
882              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
883          done; \
884          test $$st -eq 0 || exit 1; \
885        fi
886        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
887        ws='[   ]'; \
888        results=`for b in $$bases; do echo $$b.trs; done`; \
889        test -n "$$results" || results=/dev/null; \
890        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
891        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
892        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
893        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
894        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
895        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
896        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
897        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
898          success=true; \
899        else \
900          success=false; \
901        fi; \
902        br='==================='; br=$$br$$br$$br$$br; \
903        result_count () \
904        { \
905            if test x"$$1" = x"--maybe-color"; then \
906              maybe_colorize=yes; \
907            elif test x"$$1" = x"--no-color"; then \
908              maybe_colorize=no; \
909            else \
910              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
911            fi; \
912            shift; \
913            desc=$$1 count=$$2; \
914            if test $$maybe_colorize = yes && test $$count -gt 0; then \
915              color_start=$$3 color_end=$$std; \
916            else \
917              color_start= color_end=; \
918            fi; \
919            echo "$${color_start}# $$desc $$count$${color_end}"; \
920        }; \
921        create_testsuite_report () \
922        { \
923          result_count $$1 "TOTAL:" $$all   "$$brg"; \
924          result_count $$1 "PASS: " $$pass  "$$grn"; \
925          result_count $$1 "SKIP: " $$skip  "$$blu"; \
926          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
927          result_count $$1 "FAIL: " $$fail  "$$red"; \
928          result_count $$1 "XPASS:" $$xpass "$$red"; \
929          result_count $$1 "ERROR:" $$error "$$mgn"; \
930        }; \
931        {                                                               \
932          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
933            $(am__rst_title);                                           \
934          create_testsuite_report --no-color;                           \
935          echo;                                                         \
936          echo ".. contents:: :depth: 2";                               \
937          echo;                                                         \
938          for b in $$bases; do echo $$b; done                           \
939            | $(am__create_global_log);                                 \
940        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
941        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
942        if $$success; then                                              \
943          col="$$grn";                                                  \
944         else                                                           \
945          col="$$red";                                                  \
946          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
947        fi;                                                             \
948        echo "$${col}$$br$${std}";                                      \
949        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
950        echo "$${col}$$br$${std}";                                      \
951        create_testsuite_report --maybe-color;                          \
952        echo "$$col$$br$$std";                                          \
953        if $$success; then :; else                                      \
954          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
955          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
956            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
957          fi;                                                           \
958          echo "$$col$$br$$std";                                        \
959        fi;                                                             \
960        $$success || exit 1
961
962check-TESTS:
963        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
964        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
965        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
966        @set +e; $(am__set_TESTS_bases); \
967        log_list=`for i in $$bases; do echo $$i.log; done`; \
968        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
969        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
970        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
971        exit $$?;
972recheck: all $(check_PROGRAMS)
973        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
974        @set +e; $(am__set_TESTS_bases); \
975        bases=`for i in $$bases; do echo $$i; done \
976                 | $(am__list_recheck_tests)` || exit 1; \
977        log_list=`for i in $$bases; do echo $$i.log; done`; \
978        log_list=`echo $$log_list`; \
979        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
980                am__force_recheck=am--force-recheck \
981                TEST_LOGS="$$log_list"; \
982        exit $$?
983test.log: test$(EXEEXT)
984        @p='test$(EXEEXT)'; \
985        b='test'; \
986        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
987        --log-file $$b.log --trs-file $$b.trs \
988        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
989        "$$tst" $(AM_TESTS_FD_REDIRECT)
990.test.log:
991        @p='$<'; \
992        $(am__set_b); \
993        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
994        --log-file $$b.log --trs-file $$b.trs \
995        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
996        "$$tst" $(AM_TESTS_FD_REDIRECT)
997@am__EXEEXT_TRUE@.test$(EXEEXT).log:
998@am__EXEEXT_TRUE@       @p='$<'; \
999@am__EXEEXT_TRUE@       $(am__set_b); \
1000@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1001@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1002@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1003@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1004
1005distdir: $(DISTFILES)
1006        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1007        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1008        list='$(DISTFILES)'; \
1009          dist_files=`for file in $$list; do echo $$file; done | \
1010          sed -e "s|^$$srcdirstrip/||;t" \
1011              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1012        case $$dist_files in \
1013          */*) $(MKDIR_P) `echo "$$dist_files" | \
1014                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1015                           sort -u` ;; \
1016        esac; \
1017        for file in $$dist_files; do \
1018          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1019          if test -d $$d/$$file; then \
1020            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1021            if test -d "$(distdir)/$$file"; then \
1022              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1023            fi; \
1024            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1025              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1026              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1027            fi; \
1028            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1029          else \
1030            test -f "$(distdir)/$$file" \
1031            || cp -p $$d/$$file "$(distdir)/$$file" \
1032            || exit 1; \
1033          fi; \
1034        done
1035check-am: all-am
1036        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1037        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1038check: check-am
1039all-am: Makefile
1040installdirs:
1041install: install-am
1042install-exec: install-exec-am
1043install-data: install-data-am
1044uninstall: uninstall-am
1045
1046install-am: all-am
1047        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1048
1049installcheck: installcheck-am
1050install-strip:
1051        if test -z '$(STRIP)'; then \
1052          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1053            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1054              install; \
1055        else \
1056          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1057            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1058            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1059        fi
1060mostlyclean-generic:
1061        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1062        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1063        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1064
1065clean-generic:
1066
1067distclean-generic:
1068        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1069        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1070
1071maintainer-clean-generic:
1072        @echo "This command is intended for maintainers to use"
1073        @echo "it deletes files that may require special tools to rebuild."
1074clean: clean-am
1075
1076clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1077        mostlyclean-am
1078
1079distclean: distclean-am
1080        -rm -rf ./$(DEPDIR)
1081        -rm -f Makefile
1082distclean-am: clean-am distclean-compile distclean-generic \
1083        distclean-tags
1084
1085dvi: dvi-am
1086
1087dvi-am:
1088
1089html: html-am
1090
1091html-am:
1092
1093info: info-am
1094
1095info-am:
1096
1097install-data-am:
1098
1099install-dvi: install-dvi-am
1100
1101install-dvi-am:
1102
1103install-exec-am:
1104
1105install-html: install-html-am
1106
1107install-html-am:
1108
1109install-info: install-info-am
1110
1111install-info-am:
1112
1113install-man:
1114
1115install-pdf: install-pdf-am
1116
1117install-pdf-am:
1118
1119install-ps: install-ps-am
1120
1121install-ps-am:
1122
1123installcheck-am:
1124
1125maintainer-clean: maintainer-clean-am
1126        -rm -rf ./$(DEPDIR)
1127        -rm -f Makefile
1128maintainer-clean-am: distclean-am maintainer-clean-generic
1129
1130mostlyclean: mostlyclean-am
1131
1132mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1133        mostlyclean-libtool
1134
1135pdf: pdf-am
1136
1137pdf-am:
1138
1139ps: ps-am
1140
1141ps-am:
1142
1143uninstall-am:
1144
1145.MAKE: check-am install-am install-strip
1146
1147.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1148        clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1149        ctags ctags-am distclean distclean-compile distclean-generic \
1150        distclean-libtool distclean-tags distdir dvi dvi-am html \
1151        html-am info info-am install install-am install-data \
1152        install-data-am install-dvi install-dvi-am install-exec \
1153        install-exec-am install-html install-html-am install-info \
1154        install-info-am install-man install-pdf install-pdf-am \
1155        install-ps install-ps-am install-strip installcheck \
1156        installcheck-am installdirs maintainer-clean \
1157        maintainer-clean-generic mostlyclean mostlyclean-compile \
1158        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1159        recheck tags tags-am uninstall uninstall-am
1160
1161
1162# Tell versions [3.59,3.63) of GNU make to not export all variables.
1163# Otherwise a system limit (for SysV at least) may be exceeded.
1164.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.